import type UserIdentity from '../../../auth/domain/models/user-identity';
import type { AuthClientProps } from '../../../auth/auth-module';
export default interface AuthenticationSessionManager {
    login(client: AuthClientProps): Promise<any>;
    logout(params?: any): Promise<void | false | string>;
    checkSession(): Promise<boolean>;
    getIdentity(): Promise<UserIdentity | null>;
}
